For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet approval requests
      • POSTCreate an approval request
      • GETGet an approval request by ID
      • POSTApprove an approval request
      • POSTCancel an approval request
      • POSTReject an approval request
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableApproval requests

Get approval requests

GET
/approval_requests
GET
/v1/approval_requests
$curl https://api.sandbox.monite.com/v1/approval_requests \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "approved_by": [
8 "approved_by"
9 ],
10 "created_by": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
11 "object_id": "object_id",
12 "object_type": "account",
13 "required_approval_count": 1,
14 "role_ids": [
15 "role_ids"
16 ],
17 "status": "waiting",
18 "user_ids": [
19 "user_ids"
20 ],
21 "rejected_by": "rejected_by"
22 }
23 ],
24 "next_pagination_token": "next_pagination_token",
25 "prev_pagination_token": "prev_pagination_token"
26}
Was this page helpful?
Previous

Create an approval request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

Allowed values:
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional
updated_at__gtdatetimeOptional
updated_at__ltdatetimeOptional
updated_at__gtedatetimeOptional
updated_at__ltedatetimeOptional
object_idstringOptionalformat: "uuid"
object_id__instringOptionalformat: "uuid"
statusenumOptional
Allowed values:
status__inenumOptional
Allowed values:
user_idstringOptionalformat: "uuid"
role_idstringOptionalformat: "uuid"
object_typeenumOptional
object_type__inenumOptional
created_bystringOptionalformat: "uuid"

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

400
Get Approval Requests Request Bad Request Error
401
Get Approval Requests Request Unauthorized Error
403
Get Approval Requests Request Forbidden Error
406
Get Approval Requests Request Not Acceptable Error
422
Get Approval Requests Request Unprocessable Entity Error
429
Get Approval Requests Request Too Many Requests Error